# Method: achievements.setStepsAtLeast

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.SetAchievementStepsAtLeastResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/achievements/setStepsAtLeast#try-it)

Sets the steps for the currently authenticated player towards unlocking an achievement. If the steps parameter is less than the current number of steps that the player already gained for the achievement, the achievement is not modified.

### HTTP request

`POST https://games.googleapis.com/games/v1/achievements/{achievementId}/setStepsAtLeast`

### Path parameters

|                                Parameters                                ||
|-----------------|---------------------------------------------------------|
| `achievementId` | `string` The ID of the achievement used by this method. |

### Query parameters

|                             Parameters                              ||
|---------|------------------------------------------------------------|
| `steps` | `integer` Required. The minimum value to set the steps to. |

### Request body

The request body must be empty.

### Response body

An achievement set steps at least response.

If successful, the response body contains data with the following structure:

|                              JSON representation                              |
|-------------------------------------------------------------------------------|
| ``` { "kind": string, "currentSteps": integer, "newlyUnlocked": boolean } ``` |

|                                                                        Fields                                                                        ||
|-----------------|-------------------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#achievementSetStepsAtLeastResponse`. |
| `currentSteps`  | `integer` The current steps recorded for this incremental achievement.                                                              |
| `newlyUnlocked` | `boolean` Whether the current steps for the achievement has reached the number of steps required to unlock.                         |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).